import {defHttp} from '/@/utils/http/axios';
import { useMessage } from "/@/hooks/web/useMessage";

const { createConfirm } = useMessage();

enum Api {
  list = '/wb.manage/wbCompanyThirdApi/list',
  save='/wb.manage/wbCompanyThirdApi/add',
  edit='/wb.manage/wbCompanyThirdApi/edit',
  deleteOne = '/wb.manage/wbCompanyThirdApi/delete',
  deleteBatch = '/wb.manage/wbCompanyThirdApi/deleteBatch',
  importExcel = '/wb.manage/wbCompanyThirdApi/importExcel',
  exportXls = '/wb.manage/wbCompanyThirdApi/exportXls',
  pullDataFromAPI = '/wb.manage/wbCompanyInfo/pullDataFromAPI',

  queryThirdApi = '/wb.manage/wbCompanyThirdApi/queryThirdApi',

  setRiskLevel = '/wb.manage/wbCompanyThirdApi/setRiskLevel',
  queryByRiskLevel = '/wb.manage/wbCompanyThirdApi/queryByRiskLevel',

  
}
/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = (params) =>
  defHttp.get({url: Api.list, params});

/**
 * 删除单个
 */
export const deleteOne = (params,handleSuccess) => {
  return defHttp.delete({url: Api.deleteOne, params}, {joinParamsToUrl: true}).then(() => {
    handleSuccess();
  });
}
/**
 * 批量删除
 * @param params
 */
export const batchDelete = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.delete({url: Api.deleteBatch, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}
/**
 * 保存或者更新
 * @param params
 */
export const saveOrUpdate = (params, isUpdate) => {
  let url = isUpdate ? Api.edit : Api.save;
  return defHttp.post({url: url, params});
}

export const pullDataFromAPI = (params) => {
  let url = Api.pullDataFromAPI
  return defHttp.get({url: url, params});
}


export const queryThirdApi = (params) => {
  let url = Api.queryThirdApi
  return defHttp.get({url: url, params});
}


export const setRiskLevel = (params) => {
  return defHttp.post({url: Api.setRiskLevel, params});
}


export const queryByRiskLevel = (params) => {
  return defHttp.get({url: Api.queryByRiskLevel, params});
}



